VPXDEC(1)

NAME
vpxdec - VP8 and VP9 video decoding encoding tool

SYNOPSIS
vpxdec <options> -o dst_filename src_filename

OPTIONS

--codec=<arg>
    Codec to use

--yv12
    Output raw YV12 frames

--i420
    Output raw I420 frames

--flipuv
    Flip the chroma planes in the output

--rawvideo
    Output raw YUV frames

--noblit
    Don't process the decoded frames

--progress
    Show progress after each frame decodes

--limit=<arg>
    Stop decoding after n frames

--skip=<arg>
    Skip the first n input frames

--postproc
    Postprocess decoded frames

--summary
    Show timing summary

-o <arg>, --output=<arg>
    Output file name pattern (see below)

-t <arg>, --threads=<arg>
    Max threads to use

--frame-parallel
    Frame parallel decode

-v, --verbose
    Show version string

-S, --scale
    Scale output frames uniformly

--frame-buffers=<arg>
    Number of frame buffers to use

--md5
    Compute the MD5 sum of the decoded frame

--error-concealment
    Enable decoder error-concealment

-k, --keep-going
    (debug) Continue decoding after error

  VP8 Postprocessing Options:

--noise-level=<arg>
    Enable VP8 postproc add noise

--deblock
    Enable VP8 deblocking

--demacroblock-level=<arg>
    Enable VP8 demacroblocking, w/ level

--pp-debug-info=<arg>
    Enable VP8 visible debug info

--pp-dbg-ref-frame=<arg>
    Display only selected reference frame per macro block

--pp-dbg-mb-modes=<arg>
    Display only selected macro block modes

--pp-dbg-b-modes=<arg>
    Display only selected block modes

--pp-dbg-mvs=<arg>
    Draw only selected motion vectors

--mfqe
    Enable multiframe quality enhancement

  Output File Patterns:

    The -o argument specifies the name of the file(s) to write to. If the argument does not include any escape characters, the output will be written to a single file. Otherwise, the filename will be calculated by expanding the following escape characters:

%w  - Frame width

%h  - Frame height

    %<n> - Frame number, zero padded to <n> places (1..9)

    Pattern arguments are only supported in conjunction with the --yv12 and --i420 options. If the -o option is not specified, the output will be directed to stdout.

  Included decoders:

vp8 - WebM Project VP8 Decoder v1.6.0

vp9 - WebM Project VP9 Decoder v1.6.0